# FC6 and later install to %%{_datadir}/php
%if 0%{?fedora} < 6
%global phpdir	%{_datadir}
%else
%global phpdir	%{_datadir}/php
%endif

Name:		php-Smarty
Summary:	Template/Presentation Framework for PHP
Version:	3.1.27
Release:	1%{?dist}
URL:		http://www.smarty.net/
Source0:	https://github.com/smarty-php/smarty/archive/v%{version}.tar.gz
License:	LGPLv2+
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
Provides:	php-composer(smarty/smarty) = %{version}
%if 0%{?fedora} < 6
# php-Smarty installed in %%{_datadir}
Requires:	php >= 5
%else
# Fedora 6 and later install in %%{_datadir}/php
Requires:	php >= 5.1.6-3.5
%endif

%description
Although Smarty is known as a "Template Engine", it would be more accurately
described as a "Template/Presentation Framework." That is, it provides the
programmer and template designer with a wealth of tools to automate tasks
commonly dealt with at the presentation layer of an application. I stress the
word Framework because Smarty is not a simple tag-replacing template engine.
Although it can be used for such a simple purpose, its focus is on quick and
painless development and deployment of your application, while maintaining
high-performance, scalability, security and future growth.

%prep
%setup -q -n smarty-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{phpdir}/Smarty
cp -a libs/* %{buildroot}%{phpdir}/Smarty/

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license COPYING.lib
%else
%doc COPYING.lib
%endif
%doc change_log.txt demo/ NEW_FEATURES.txt README
%doc SMARTY_2_BC_NOTES.txt SMARTY_3.0_BC_NOTES.txt SMARTY_3.1_NOTES.txt
%doc COMPOSER_RELEASE_NOTES.txt INHERITANCE_RELEASE_NOTES.txt
%{phpdir}/Smarty/

%changelog
* Wed Jun 24 2015 Paul Howarth <paul@city-fan.org> - 3.1.27-1
- Update to 3.1.27 (mainly bug fixes and optimizations)
- Upstream releases now from github

* Mon Oct 20 2014 Paul Howarth <paul@city-fan.org> - 3.1.21-1
- Update to 3.1.21
  - Bugfix: a comment like "<script{*foo*} language=php>" bypassed
    $php_handling checking
  - Bugfix: change in 3.1.20 could create E_NOTICE meassage when using "<?php"
    tags
  - Bugfix: "<script language=php>" with $php_handling PHP_PASSTHRU was
    executed in {nocache} sections
  - Bugfix: any tag placed within "<script language=php>" will throw a security
    exception to close all thinkable holes
  - Bugfix: classmap in root composer.json should start at "libs/..."
  - Improvement: cache is_file(file_exists) results of loadPlugin() to avoid
    unnecessary calls during compilation (Issue 201}
  - Bugfix: calling a newly-created cache file with fetch() and
    Smarty::CACHING_LIFETIME_SAVED multiple times failed (topic 22350)
  - Bugfix: composer.json update
  - Bugfix: on $php_handling security and optimization of
    smarty_internal_parsetree
- Use %%license where possible

* Wed Oct 15 2014 Paul Howarth <paul@city-fan.org> - 3.1.20-1
- Update to 3.1.20
  - Bugfix: an earlier bugfix broke correct handling of child templates with
    the same name but different template folders in extends resource
    (issue 194 and topic 25099)
  - Enhancement: remove BOM automatically from template source (topic 25161)
  - Bugfix: cache clear when cache folder does not exist
  - Bugfix: modifier wordwrap outputted the break string incorrectly if the
    first word exceeded length with cut = true (topic 25193)
  - Bugfix: template resource of inheritance blocks could get invalid if the
    default resource type is not 'file' (issue 202)
  - Bugfix: existing child {block} tag must override parent {block} tag
    append / prepend setting (topic 25259)
  - Bugfix: security mode of "<script language=php>" must be controlled by
    $php_handling property

* Thu Jul 31 2014 Paul Howarth <paul@city-fan.org> - 3.1.19-2
- Add composer provides

* Tue Jul  1 2014 Paul Howarth <paul@city-fan.org> - 3.1.19-1
- Update to 3.1.19
  - Revert date format fix from 3.1.18 because %%-e date format is not
    supported on all operating systems
  - Bugfix: calling createTemplate(template, data) with empty data array
    caused notice of array to string conversion (Issue 189)
  - Bugfix: clearCompiledTemplate() did not delete files on Windows when a
    compile_id was specified
  - Using multiple cwd with relative template dirs could result in identical
    compiled file names (Issue 194 and Topic 25099)
  - Fixed PHPUnit outputFilterTrimWhitespaceTests.php assertion of test result
  - Fixed spelling, PHPDoc, minor errors, code cleanup
  - Bugfix: {block} tags within {literal} .. {/literal} were not displayed
    correctly (topic 25024)
  - Bugfix: UNC Windows paths like "\\psf\path\to\dir" did not work as template
    directory (Issue 192)
  - Bugfix: {html_image} security check failed on files relative to basedir
    (Issue 191)
  - Bugfix: large template text of some charsets could cause parsing errors
    (Topic 24630)
  - Bugfix: template variables could not be passed as parameters in {include}
    when the include was in a {nocache} section (Topic 25131)

* Tue Apr  8 2014 Paul Howarth <paul@city-fan.org> - 3.1.18-1
- Update to 3.1.18
  - Bugfix: previous clearXxx() change did not work when specifing cache_id or
    compile_id (Forum Topic 24868 and 24867)
  - Bugfix: Smarty_CacheResource_Keyvaluestore used different keys on
    read/writes and clearCache() calls (Issue 169)
  - Bugfix: $smarty->auto_literal and mbsting.func_overload 2, 6 or 7 failed
    (Forum Topic 24899)
  - Bugfix: using a {foreach} property like @iteration could fail when used in
    inheritance parent templates (Issue 182)
  - Bugfix: Smart_Resource_Custom should not lowercase the resource name
    (Issue 183)
  - Bugfix: default date format lead to extra spaces when displaying dates with
    single digit days (Issue 182)
  - Bugfix: template inheritance failed when using custom resource (Issue 187)
  - Bugfix: update of composer file (Issue 168 and 184)
- Drop %%defattr, redundant since rpm 4.4

* Thu Mar 13 2014 Paul Howarth <paul@city-fan.org> - 3.1.17-1
- Update to 3.1.17
  - Bugfix: Smarty_CacheResource_Custom did not handle template resource type
    specifications on clearCache() calls (Issue 169)
  - Bugfix: SmartyBC.class.php should use require_once to load Smarty.class.php
    (Forum Topic 24683)
  - Bugfix: "* }" (spaces before right delimiter) was interpreted by mistake as
    comment end tag (Issue 170)
  - Internals: content cache should be clear when updating cache file
  - Bugfix: the compiler failed when using template inheritance and recursive
    {include} (smarty-developers group)
  - Bugfix: undo block nesting checks for {nocache} for reasons like Forum
    Topic 23280 (Forum Topic 24762)
  - Bugfix: $smarty->debugging = true; showed the variable of the $smarty
    object, not the variables used in display() call (Forum Topic 24764)
  - Bugfix: clearCompiledTemplate(), clearAll() and clear() should use realpath
    to avoid possible exception from RecursiveDirectoryIterator (Issue 171)
  - Bugfix: shared.literal_compiler_param.php threw an exception when literal
    contained a '-' (smarty-developers group)
  - Bugfix: a '//' or '\\' in template_dir path could produce wrong path on
    relative filepath in {include} (Issue 175)
  - Bugfix: Smarty failed when executing PHP on HHVM (Hip Hop 2.4) because
    uniqid('',true) returns string with ',' (Forum Topic 20343)
  - Bugfix: relative file path {include} within {block} of child templates
    threw exception on first call (Issue 177)

* Wed Dec 18 2013 Paul Howarth <paul@city-fan.org> - 3.1.16-1
- Update to 3.1.16
  - Bugfix: loops using modifier capitalize ate up memory (Issue 159)
  - Bugfix: variable file names at {extends} had been disabled by mistake with
    the rewrite of template inheritance in August (Forum Topic 24585)
  - Bugfix: variable names on {include} in template inheritance did unexpected
    error message (Forum Topic 24594) (Issue 161)
  - Bugfix: relative includes with same name like {include './foo.tpl'} from
    different folder failed (Forum Topic 24590)(Issue 161)
  - Bugfix: a variable file name at {extends} tag failed (Forum Topic 24618)
  - Bugfix: variable resource name at custom resource plugin did not work
    within {block} tags (Issue 163)
  - Bugfix: notice "Trying to get property of non-object" removed (Issue 163)
  - Bugfix: correction of modifier capitalize fix from 3.1.15 (issue 159)
  - Bugfix multiple {block}s with same name in parent did not work
    (Forum Topic 24631)
  - Bugfix: too restrictive handling of {include} within {block} tags; 3.1.15
    threw errors where 3.1.14 did not (Forum Topic 24599)
  - Bugfix: compiler could fail if PHP mbstring.func_overload is enabled
    (Issue 164)
  - Bugfix: {include} with {block} tag handling
    (Forum Topic 24599, 24594, 24682) (Issue 161); see 3.1.16_RELEASE_NOTES for
    more details
  - Enhancement: additional debug output at $smarty->_parserdebug = true;

* Wed Oct  2 2013 Paul Howarth <paul@city-fan.org> - 3.1.15-1
- Update to 3.1.15
  - Bugfix: trimwhitespace would replace captured items in wrong order (Forum
    Topic 24387)
  - Bugfix: do not remove '//' from file path at normalization (Issue 142)
  - Bugfix: increase of internal maximum parser stacksize to allow more complex
    tag code {Forum Topic 24426}
  - Update for PHP 5.4 compatibility
  - Reformat source to PSR-2 standard
  - Bugfix: template inheritance nesting problem (Forum Topic 24387)
  - Enhancement: allow access to properties of registered opjects for Smarty2
    BC (Forum Topic 24344)
  - Bugfix: headers already sent warning thrown when using 'SMARTY_DEBUG=on'
    from URL (Issue 148)
  - Bugfix: a newline was eaten when a <?xml ... ?> was passed by a Smarty
    variable and caching was enabled (Forum Topic 24482)
  - Bugfix: internal $tmpx variables must be unique over all inheritance
    templates (Issue 149)
  - Bugfix: the internal resource cache did not observe config_dir changes
    (Forum Topic 24493)
  - Bugfix: compiled filepath of config file did not observe different
    config_dir (Forum Topic 24493)
  - Bugfix and enhancement: as a result of several recent problems with
    template inheritance, the {block} tag compiler has been rewritten:
    - Error messages shown now the correct child template file and line number
    - The compiler could fail on some larger UTF-8 text block (Forum Topic
      24455)
    - The {strip} tag can now be placed outside {block} tags in child templates
      (Forum Topic 24289)
  - Change: SmartyException::$escape is now false by default
  - Change: PHP traceback has been removed for SmartyException and
    SmartyCompilerException
  - Bugfix: delimiter followed by linebreak did not work as auto literal
    (Forum Topic 24518)
  - Bugfix: incorrect compiled code with array(object,method) callback at
    registered Variable Filter (Forum Topic 24542)
  - Bugfix: html_select_time defaulting error for the Meridian dropdown
    (Forum Topic 24549)
  - Bugfix: recompiled templates did not show on first request with zend
    opcache cache (Forum Topic 24320)
  - Improvement: added patch for additional SmartyCompilerException properties
    for better access to source information (Forum Topic 24559)
  - Use current delimiters in compiler error messages (Issue 157)
  - Improvement in performance when using error handler and multiple template
    folders (Issue 152)

* Sun Jun 30 2013 Paul Howarth <paul@city-fan.org> - 3.1.14-1
- Update to 3.1.14
  - Bugfix: wrong tag type in smarty_internal_templatecompilerbase.php could
    cause wrong plugin search order (Forum Topic 24028)
  - Bugfix: nocache blocks could be lost when using CACHING_LIFETIME_SAVED
    (Issue #133)
  - Bugfix: Compile ID gets nulled when compiling child blocks (Issue #134)
  - Bugfix: post filter must not run when compiling inheritance child blocks
    (Forum Topic 24094)
  - Bugfix: after the fix for Issue #130, compiler exceptions got double
    escaped (Forum Topic 24199)
  - Bugfix: escape and wordrap modifier could be compiled into wrong code when
    used in {nocache}{/nocache} section but caching is disabled
    (Forum Topic 24260)
  - Bugfix: modifier strip_tags:true was compiled into wrong code
    (Forum Topic 24287)
  - Bugfix: /n after ?> in Smarty.class.php started output buffering (Issue 138)
  - Enhancement: an expire_time of -1 in clearCache() and clearAllCache() will
    delete outdated cache files by their individual cache_lifetime used at
    creation (forum topic 24310)
  - Fixed spelling in sources and documentation (from smarty-developers forum)
  - Enhancement: added constant SMARTY::CLEAR_EXPIRED (Forum topic 24310)
  - Bugfix: added smarty_security.php to composer.json (Issue 135)
  - Bugfix: removed PHP 5.5 deprecated preg_replace /e option in modifier
    capitalize (Forum topic 24389)

* Wed Jan 16 2013 Paul Howarth <paul@city-fan.org> - 3.1.13-1
- Update to 3.1.13
  - Bugfix: muteExcpetedErrors() would screw up for non-readable paths
    (Issue #118)
  - Added attribute "strict" to html_options, html_checkboxes, html_radios to
    only print disabled/readonly attributes if their values are true or
    "disabled"/"readonly" (Issue #120)
  - Bugfix: assignGlobal() called from plugins did not work (Forum Topic 23771)
  - Made SmartyBC loadable via composer (Issue #124)
  - Bugfix: global variable assigned within template function is not seen after
    template function exit (Forum Topic 23800)
  - Bugfix: wrong variable usage in smarty_internal_utility.php (Issue #125)
  - Allow '://' URL syntax in template names of stream resources  (Issue #129)
  - Added abstract method declaration doCompile() in
    Smarty_Internal_TemplateCompilerBase (Forum Topic 23969)
  - Bugfix: compilation failed when a prefilter modified an {extends} tag
    (Forum Topic 23966)
  - Bugfix: template inheritance could fail if nested {block} tags in childs
    contained {$smarty.block.child} (Issue #127)
  - Bugfix: template inheritance could fail if {block} tags in childs had
    similar name to used plugins (Issue #128)
  - Enhancement: allow to disable exception message escaping by
    SmartyException::$escape = false; (Issue #130)

* Wed Sep 26 2012 Paul Howarth <paul@city-fan.org> - 3.1.12-1
- Update to 3.1.12
  - Bugfix: the default plugin handler created incorrect compiled code for
    static class methods from external script files (Issue 108)
  - Bugfix: array access of config variables did not work (Forum Topic 22527)
  - Bugfix: {assign} in a nocache section should not overwrite existing
    variable values during compilation (Issue 109)
  - Bugfix: avoid PHP error on $smarty->configLoad(...) with invalid section
    specification (Forum Topic 22608)
  - Bugfix PHP5.2 compatibility compromised by SplFileInfo::getBasename()
    (Issue 110)
  - Bugfix: template inheritance produced incorrect code if subtemplates with
    {block} were included several times (from smarty-developers forum)
  - Bugfix: compiled code of nocache sections could contain incorrect escaping
    (Forum Topic 22810)
  - Bugfix: $auto_literal = false did not work with {block} tags in child
    templates (Forum Topic 20581)
  - Bugfix: test MBString availability through mb_split, as it could've been
    compiled without regex support (--enable-mbregex); either we get MBstring's
    full package, or we pretend it's not there at all
  - Bugfix: resolving relative paths broke in some circumstances (Issue 114)
  - Bugfix: tag option flags and shorttag attributes did not work when rdel
    started with '=' (Forum Topic 22979)
  - Bugfix: escape Smarty exception messages to avoid possible script execution
    (CVE-2012-4437)
  - Bugfix: template inheritance failed to compile with delimiters {/ and /}
    (Forum Topic 23008)
- Drop upstreamed patch for CVE-2012-4437

* Thu Sep 20 2012 Paul Howarth <paul@city-fan.org> - 3.1.11-2
- Add patch for CVE-2012-4437 (XSS due to improper sanitization of messages
  within SmartyException)

* Mon Jul  2 2012 Paul Howarth <paul@city-fan.org> - 3.1.11-1
- Update to 3.1.11
  - Bugfix: the patch for Topic 21856 broke tabs between tag attributes
    (Forum Topic 22124)
  - Bugfix: escape modifier support for PHP < 5.2.3 (Forum Topic 21176)
  - Bugfix: the default plugin handler did not allow static class methods for
    modifier (Issue 85)
  - Bugfix: {block.. hide} did not work as nested child (Forum Topic 22216)

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 3.1.10-1
- Update to 3.1.10
  - Bugfix: the compiler ignored registered compiler plugins for closing tags
    (Forum Topic 22094)
  - Bugfix: the patch for Topic 21856 broke multiline tags (Forum Topic 22124)

* Sat Jun  9 2012 Paul Howarth <paul@city-fan.org> - 3.1.9-1
- Update to 3.1.9
  - The default plugin handler can now also resolve undefined modifier
    (Smarty::PLUGIN_MODIFIER) (Issue 85)
  - Optimization of compiling speed when same modifier was used several times
  - Bugfix: a double quoted string of "$foo" did not compile into PHP "$foo"
    (Forum Topic 21175)
  - Bugfix: template inheritance set $merge_compiled_includes globally true
  - Bugfix: compileAllTemplates() and compileAllConfig() did not return the
    number of compiled files (Forum Topic 21286)
  - Bugfix: prefilter ran multiple times on inline subtemplates compiled into
    several main templates (Forum Topic 21325)
  - Bugfix: implement Smarty2's behaviour of variables assigned by reference in
    SmartyBC; {assign} will affect all references (Issue 88)
  - Bugfix: template inheritance did not throw exception when a parent template
    was deleted (Issue 90)
  - Bugfix: "\\" was not escaped correctly when generating nocache code
    (Forum Topic 21364)
  - Bugfix: Smarty did eat the linebreak after the <?xml...?> closing tag
    (Issue 93)
  - Bugfix: concurrent cache updates could create a warning (Forum Topic 21403)
  - Bugfix: {nocache}{block}{plugin}... produced wrong compiled code when
    caching is disabled (Forum Topic 21572, Issue 95)
  - Bugfix: make HTTP protocol version variable (Issue 96)
  - Bugfix: {html_options} did not properly escape values (Issue 98)
  - Bugfix: recursive {include} within {section} failed
  - Bugfix: Smarty_Internal_Write_File::writeFile() could cause race conditions
    on linux systems (Issue 101)
  - Bugfix: attribute parameter names of plugins may now contain also "-" and
    ":" (Forum Topic 21856)
  - Bugfix: add compile_id to cache key of of source (Issue 97)
  - Bugfix: treat "0000-00-00" as 0 in modifier.date_format (Issue 103)
  - Bugfix: fetch() and display() with relative paths (Issue 104)

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> - 3.1.8-1
- Update to 3.1.8
  - Bugfix: template inheritance: {$smarty.block.child} in nested child {block}
    tags did not return content after {$smarty.block.child} (Forum Topic 20564)
  - Bugfix: the new lexer failed if mbstring.func_overload != 0 (Issue 70,
    Forum Topic 20680)
  - Bugfix: template inheritance failed if mbstring.func_overload != 0 (Issue
    70, Forum Topic 20680)
  - Bugfix: Smarty's internal header code must be excluded from postfilters
    (Issue 71)
  - Bugfix: enable more entropy in Smarty_Internal_Write_File for "more
    uniqueness" and Cygwin compatibility (Forum Topic 20724)
  - Bugfix: embedded quotes in single quoted strings did not compile correctly
    in {nocache} sections (Forum Topic 20730)
  - Bugfix: {block foo nocache} did not load plugins within child {block} in
    nocache mode (Forum Topic 20753)
  - Bugfix: typo in Smarty_Internal_Get_IncludePath caused runtime overhead
    (Issue 74)
  - Improvement: remove unneeded assigments (Issue 75 and 76)
  - Fixed typo in template parser
  - Bugfix: output filter must not run before writing cache when template
    contains nocache code (Issue 71)
  - Bugfix: Smarty did not handle a template name of "0" (Forum Topic 20895)
  - Bugfix: Smarty_Security internal $_resource_dir cache wasn't properly
    propagated
  - Improvement: stream_resolve_include_path() added to
    Smarty_Internal_Get_Include_Path (Forum Topic 20980)
  - Bugfix: fetch('extends:foo.tpl') always yielded $source->exists == true
    (Forum Topic 20980)
  - Added modifier unescape:"url", fix (Forum Topic 20980)
  - Improvement: replaced some calls of preg_replace with str_replace
    (Issue 73)
  - Bugfix: increase entropy of internal function names in compiled and cached
    template files (Forum Topic 20996)
  - Enhancement: cacheable parameter added to default plugin handler, with the
    same functionality as registerPlugin
  - Bugfix: {include} could result in a fatal error if used in appended or
    prepended nested {block} tags (Issue 83)
  - Enhancement: added Smarty special variable $smarty.template_object to
    return the current template object (Forum Topic 20289)

* Tue Dec 20 2011 Paul Howarth <paul@city-fan.org> - 3.1.7-1
- Update to 3.1.7
  - Bugfix: strings ending with " in multi-line strings of config files failed
    to compile (issue #67)
  - Added chaining to Smarty_Internal_Templatebase
  - Changed unloadFilter() to not return a boolean in favour of chaining and
    API conformity
  - Bugfix: unregisterObject() raised notice when object to unregister did not
    exist
  - Changed internals to use Smarty::$_MBSTRING ($_CHARSET, $_DATE_FORMAT) for
    better unit testing
  - Added Smarty::$_UTF8_MODIFIER for proper PCRE charset handling
    (Forum Topic 20452)
  - Added Smarty_Security::isTrustedUri() and Smarty_Security::$trusted_uri to
    validate remote resource calls through {fetch} and {html_image}
    (Forum Topic 20627)

* Fri Dec  2 2011 Paul Howarth <paul@city-fan.org> - 3.1.6-1
- Update to 3.1.6
  - Bugfix: Smarty_Resource::load() did not always return a proper resource
    handler (Forum Topic 20414)
  - Added escape argument to html_checkboxes and html_radios
    (Forum Topic 20425)
  - Bugfix: declare all directory properties private to map direct access to
    getter/setter also on extended Smarty class
  - Bugfix: cache file could include unneeded modifier plugins under certain
    conditions
  - Bugfix: a subtemplate later used as main template used old variable values
  - Bugfix: {html_select_date} and {html_slecet_time} did not default to
    current time if "time" was not specified since r4432 (issue 60)
  - Bugfix: added exception if the default plugin handler returned a non-static
    callback (Forum Topic 20512)
  - Bugfix: is_cache() for individual cached subtemplates with
    $smarty->caching = CACHING_OFF produced an exception (Forum Topic 20531)

* Wed Nov 16 2011 Paul Howarth <paul@city-fan.org> - 3.1.5-1
- Update to 3.1.5
  - Revert and fix PHP4 constructor message
  - @silenced unlink() in Smarty_Internal_Write_File since debuggers go haywire
    without it
  - Bugfix: Smarty::clearCompiledTemplate() threw an Exception if $cache_id was
    not present in $compile_dir when $use_sub_dirs = true
  - Bugfix: {html_select_date} and {html_select_time} did not properly handle
    empty time arguments (Forum Topic 20190)
  - Improvement: removed unnecessary sha1()
  - Bugfix: apostrophe in plugins_dir path name failed (forum topic 20199)
  - Improvement: sha1() for array keys longer than 150 characters
  - Add Smarty::$allow_ambiguous_resources to activate unique resource handling
    (Forum Topic 20128)
  - Bugfix: smarty_mb_from_unicode() would not decode unicode-points properly
  - Bugfix: use catch Exception instead of UnexpectedValueException in
    clearCompiledTemplate, to be PHP 5.2 compatible
  - Bugfix: {if} and {while} tags without condition did not throw a
    SmartyCompilerException (Issue #57)
  - Bugfix: multi-line strings in config files could fail on longer strings
    (reopened Issue #55)
  - Bugfix: different behaviour of uniqid() on cygwin
    (forum topic 20343, https://bugs.php.net/bug.php?id=34908)
  - Bugfix: allow space between function name and open bracket
    (forum topic 20375)
- Restore documentation for old versions

* Thu Oct 20 2011 Paul Howarth <paul@city-fan.org> - 3.1.4-1
- Update to 3.1.4
  - Bugfix: variable name typo in {html_options} and {html_checkboxes}
    (Issue #54)
  - Bugfix: <?xml> tag created wrong output when caching enabled and the tag
    was in included subtemplate
  - Bugfix: Smarty_CacheResource_mysql example was missing strtotime() calls
  - Add runtime checks for not matching {capture}/{/capture} calls
    (Forum Topic 20120)
  - Add caching for config files in Smarty_Resource
  - Bugfix: disable of caching after isCached() call did not work
    (Forum Topic 20131)
  - Add concept unique_resource to combat potentially ambiguous
    template_resource values when custom resource handlers are used
    (Forum Topic 20128)
  - Bugfix: multiline strings in config files could fail on longer strings
    (Issue #55)
  - Bugfix: unique_resource did not properly apply to compiled resources
    (Forum Topic 20128)
  - Add locking to custom resources (Forum Post 75252)
  - Add Smarty_Internal_Template::clearCache() to accompany isCached(), fetch()
    etc.
  - Bugfix: Smarty_Resource and Smarty_CacheResource runtime caching
    (Forum Post 75264)
  - Bugfix: testInstall() did not properly check cache_dir and compile_dir
- Documentation for old releases dropped upstream, so don't package it

* Mon Oct 10 2011 Paul Howarth <paul@city-fan.org> - 3.1.3-1
- Update to 3.1.3
  - Bugfix: assign() in plugins called in subtemplates also changed value in
    parent template
  - Bugfix of problem introduced with r4342 on math plugin
  - Bugfix of problem introduced with r4342 by replacing strlen() with isset()
  - Bugfix: output filter should not run on individually cached subtemplates
  - Add unloadFilter() method
  - Bugfix: has_nocache_code flag was not reset before compilation
  - Add environment configuration issue with mbstring.func_overload Smarty
    cannot compensate for (Issue #45)
  - Bugfix: nofilter tag option did not disable default modifier
  - Bugfix: html_options plugin did not handle null- and object values properly
    (Issue #49, Forum Topic 20049)
  - Bugfix: switch lexer internals depending on mbstring.func_overload
  - Bugfix: start_year and end_year of {html_select_date} did not use current
    year as offset base (Issue #53)
  - Improvement: removed html comments from {mailto} (Forum Topic 20092)
  - Bugfix: testInstall() would not show path to internal plugins_dir
    (Forum Post 74627)
  - Improvement: testInstall() now showing resolved paths and checking the
    include_path if necessary
  - Improvement: html_checkboxes and html_radios to accept null- and object
    values, and label_ids attribute
  - Improvement: removed some unnecessary count()s
  - Bugfix: parent pointer was not set when fetch() for other template was
    called on template object

* Tue Oct  4 2011 Paul Howarth <paul@city-fan.org> - 3.1.2-1
- Update to 3.1.2
  - Remove unused properties
  - Optimization use real function instead of an anonymous function for
    preg_replace_callback
  - Bugfix: a relative {include} in child template blocks failed
  - Bugfix: direct setting of $template_dir, $config_dir, $plugins_dir in
    __construct() of an extended Smarty class created problems
  - Bugfix: error muting was not implemented for cache locking
  - Removed internal muteExpectedErrors() calls in favour of having the
    implementor call this once from his application
  - Optimized muteExpectedErrors() to pass errors to the latest registered
    error handler, if applicable
  - Added compile_dir and cache_dir to list of muted directories
  - Improvement: better error message for undefined templates at {include}
  - Bugfix: repeated calls to the same subtemplate did not make use of cached
    template object
  - Bugfix: possible warning "attempt to modify property of non-object" in
    {section} (issue #34)
  - Added chaining to Smarty_Internal_Data so
    $smarty->assign('a',1)->assign('b',2); is now possible
  - Bugfix: remove race condition when a custom resource changed timestamp
    during compilation
  - Bugfix: variable property did not work on object's variable in template
  - Bugfix: smarty_make_timestamp() failed to process DateTime objects properly
  - Bugfix: wrong resource could be used on compile check of custom resource
  - Bugfix for template functions called nocache calling other template
    functions
  - Improvement of Smarty_Internal_Config::loadConfigVars(): dropped the
    in_array for index look up
  - Improvement: replaced most in_array() calls by more efficient isset() on
    array_flip()ed haystacks
  - Improvement: replaced some strlen($foo) > 3 calls by isset($foo[3])
  - Improvement of Smarty_Internal_Utility::clearCompiledTemplate(): removed
    redundant strlen()s
  - Improvement: add internal $joined_template_dir property instead of
    computing it on the fly several times

* Mon Sep 26 2011 Paul Howarth <paul@city-fan.org> - 3.1.1-1
- Update to 3.1.1
  - Bugfix: {foreachelse} does fail if {section} was nested inside {foreach}
  - Bugfix: debug.tpl did not display correctly when it was compiled with
    escape_html = true
  - Bugfix: look for mixed case plugin file names as in 3.0; if not found try
    all lowercase
  - Added $error_muting to suppress error messages even for badly implemented
    error_handlers
  - Optimized autoloader
  - Reverted ./ and ../ handling in fetch() and display() - they're allowed
    again
  - Bugfix: removed debug echo output while compiling template inheritance
  - Bugfix: relative paths in $template_dir broke relative path resolving in
    {include "../foo.tpl"}
  - Bugfix: {include} did not work inside nested {block} tags
  - Bugfix: {assign} with scope root and global did not work in all cases
  - Bugfix: regression in Smarty_CacheReource_KeyValueStore introduced by r4261
  - Bugfix: output filter shall not run on included subtemplates
  - Bugfix: resource and template caching did not care about file.tpl in
    different template_dir
  - Bugfix: {include $file} was broken when merge_compiled_includes = true
  - Bugfix: {include} was broken when merge_compiled_includes = true and same
    included template was used in different main templates in one compilation
    run
  - Bugfix for Smarty2 style compiler plugins on unnamed attribute passing like
    {tag $foo $bar}
  - Bugfix: lock_id for file resource would create invalid filepath

* Mon Sep 19 2011 Paul Howarth <paul@city-fan.org> - 3.1.0-1
- Update to 3.1.0
  - Smarty 2 BC removed from codebase; use SmartyBC.class.php for this
  - Full UTF-8 compatibility with all plugins
  - Default Template Handler for handling non-exiting template files
  - Default Config Handler for handling non-exiting config files
  - Default Plugin Handler for handling non-exiting plugin files
  - {block hide} feature when no corresponding child block is found
  - {setfilter}{/setfilter} to apply filters to a specific block of template
    code
  - Improved Template Resource API
  - Improved Cache Resource API
  - Relative paths in template files {include file="../header.tpl"}
  - Access to specific $template_dir via array index
  - Access multiple template resources with extends: feature
  - Simple global HTML escapement option with escape_html property
  - Compile-Check on cache miss option
  - Automatic template recompile on Smarty upgrade
  - New Getters/Setters for main Smarty directory configuration

* Sat Jun  4 2011 Paul Howarth <paul@city-fan.org> - 3.0.8-1
- Update to 3.0.8 (lots of bug fixes: see change_log.txt for details)
- Add patch to fix typo in change_log.txt
- Nobody else likes macros for commands

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> - 3.0.7-1
- Update to 3.0.7 (mostly bug fixes, performance improvements and one security
  patch regarding arbitrary file access with security enabled)

* Tue Dec 14 2010 Paul Howarth <paul@city-fan.org> - 3.0.6-1
- Update to 3.0.6 (mostly minor bug fixes)

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> - 3.0.5-1
- Update to 3.0.5 (Smarty now follows the PHP error_reporting level by default)

* Mon Nov 15 2010 Paul Howarth <paul@city-fan.org> - 3.0.4-1
- Update to 3.0.4, which has significant API changes; the old API is still
  supported, but will throw deprecation warnings
- PHP5 is now required
- Lots of documentation changes

* Fri Jun 19 2009 Paul Howarth <paul@city-fan.org> - 2.6.26-1
- Update to 2.6.26 (revert super global access changes, rely on
  USE_SUPER_GLOBALS for security)

* Tue May 26 2009 Paul Howarth <paul@city-fan.org> - 2.6.25-1
- Update to 2.6.25 (fix E_NOTICE when sessions are disabled)

* Sun May 17 2009 Paul Howarth <paul@city-fan.org> - 2.6.24-1
- Update to 2.6.24 (fix problem introduced with super global changes)

* Thu May 14 2009 Paul Howarth <paul@city-fan.org> - 2.6.23-1
- Update to 2.6.23
  - strip backticks from {math} equations
  - make PHP super globals read-only from template
  - throw error when template exists but not readable
  - icon no longer included in distribution

* Fri Dec 19 2008 Paul Howarth <paul@city-fan.org> - 2.6.22-1
- Update to 2.6.22 (method chaining removed to work around PCRE engine bug
  in some versions of PHP)

* Wed Dec  3 2008 Paul Howarth <paul@city-fan.org> - 2.6.21-1
- Update to 2.6.21
- Security patch now included upstream

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 2.6.20-2
- Add security patch (CVE-2008-4811, #469648, PHP code execution via templates
  with \ escaped $ sign)

* Tue Oct 14 2008 Paul Howarth <paul@city-fan.org> - 2.6.20-1
- Update to 2.6.20
- Upstream moved from smarty.php.net to www.smarty.net

* Fri Mar 28 2008 Paul Howarth <paul@city-fan.org> - 2.6.19-1
- Update to 2.6.19 (fixes CVE-2008-1066)
- Clarify license as GNU Lesser Public License, version 2 or later
- Fix character encoding of docs

* Mon Jun 18 2007 Paul Howarth <paul@city-fan.org> - 2.6.18-1
- Import from FC-5 branch of Fedora Extras
- Clean up spec file
- Install under %%{_datadir}/php rather than %%{_datadir} for Fedora 6 onwards

* Tue May 16 2006 Orion Poplawski <orion@cora.nwra.com> - 2.6.13-1
- Update to 2.6.13

* Tue Nov  1 2005 Orion Poplawski <orion@cora.nwra.com> - 2.6.10-2
- Fix Source0 URL.

* Thu Oct 13 2005 Orion Poplawski <orion@cora.nwra.com> - 2.6.10-1
- Initial Fedora Extras version
